<form [formGroup]="editCreateFormGroup">
  <p-tabView>
    <p-tabPanel
      p-tabPanel
      [header]="'BOOK_MENU.BOOK_CREATE_EDIT.BOOK_DETAILS' | translate"
    >
      <div class="p-fluid p-grid">
        <div class="p-field p-col-12 p-md-6">
          <span class="p-float-label">
            <input
              id="title"
              pInputText
              type="text"
              formControlName="title"
              name="title"
            />
            <label class="required" for="title">
              {{ 'BOOK_MENU.BOOK_SEARCH.BOOK.HEADER.TITLE' | translate }}
            </label>
          </span>
        </div>
        <div class="p-field p-col-12 p-md-6">
          <span class="p-float-label">
            <input
              id="isbn"
              pInputText
              type="text"
              formControlName="isbn"
              name="isbn"
            />
            <label for="isbn">
              {{ 'BOOK_MENU.BOOK_SEARCH.BOOK.HEADER.ISBN' | translate }}
            </label>
          </span>
        </div>
        <div class="p-field p-col-12 p-md-6">
          <span class="p-float-label">
            <p-inputNumber
              id="numOfPages"
              min="1"
              formControlName="numOfPages"
              [showButtons]="true"
            ></p-inputNumber>
            <label for="numOfPages">
              {{ "BOOK_MENU.BOOK_SEARCH.BOOK.HEADER.NUM_OF_PAGES" | translate }}
            </label>
          </span>
        </div>
        
        <div class="p-field p-col-12 p-md-6">
          <span class="p-float-label">
            <p-dropdown
              id="authorId"
              [options]="authorId"
              appendTo="body"
              formControlName="authorId"
              name="authorId"
              [autoDisplayFirst]="false"
              [showClear]="true"
            ></p-dropdown>
            <label class="required" for="authorId">
              {{ 'BOOK_MENU.BOOK_SEARCH.BOOK.HEADER.AUTHOR_ID'| translate }}
            </label>
          </span>
        </div>
        <div class="p-field p-col-12 p-md-6">
          <span class="p-float-label">
            <p-dropdown
              id="bookCategory"
              [options]="bookCategory"
              appendTo="body"
              formControlName="bookCategory"
              name="bookCategory"
              [autoDisplayFirst]="false"
              [showClear]="true"
            ></p-dropdown>
            <label class="required" for="bookCategory">
              {{ 'BOOK_MENU.BOOK_SEARCH.BOOK.HEADER.BOOK_CATEGORY' | translate }}
            </label>
          </span>
        </div>
        <div class="p-field p-col-12 p-md-6">
          <span class="p-float-label">
            <p-dropdown
            id="available"
            formControlName="available"
            name="available"
            [options]="options"
            [autoDisplayFirst]="false"
            [showClear]="true"
          ></p-dropdown>
          <label for="available">
            {{ 'BOOK_MENU.BOOK_SEARCH.BOOK.HEADER.IS_AVAILABLE_ALT' | translate }}
          </label>
          </span>
        </div>
      </div>
    </p-tabPanel>
  </p-tabView>
</form>
